[IPython-user] Are people using ipython+emacs+MacOSX?

Fernando Perez fperez.net@gmail....
Wed Jan 16 11:27:51 CST 2008


On Jan 16, 2008 10:21 AM,  <kmt@ftml.net> wrote:
> Konrad Hinsen <konrad.hinsen@laposte.net> writes:
>
> > On Jan 12, 2008, at 2:06, kmt@ftml.net wrote:
> >
> >> Is this combination not very popular?
> >
> > I do use it (MacOS 10.4.11, GNU Emacs 22.0.50.1, python 2.5, ipython
> > 0.83), and it works just fine.
>
> So looks like the problems I experienced on my Mac were Leopard specific
> then.

Yes, I think so.  The issue is that leopard now includes a
readline-like library, so ipython *seems* to work out of the box.
Except that the apple-supplied library appears to be buggy as hell.
More info here:

http://ipython.scipy.org/moin/InstallationOSXLeopard

Cheers,

f


More information about the IPython-user mailing list